#!/bin/sh

LOGFILE=logs/generate-cvrf-cve-logfile.txt

perl bin/generate-cvrf-cve.pl >$LOGFILE 2>&1

# keep failed logs, and the last successful run to avoid filling the disk.
if ! grep SUCCESS $LOGFILE >/dev/null ; then
	echo "bin/generate-cvrf-cve.pl failed:"
	tail $LOGFILE
	mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
else
	#mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
	touch $LOGFILE
fi

LOGFILE=logs/generate-csaf-vex-logfile.txt

# keep failed logs, and the last successful run to avoid filling the disk.
perl bin/generate-csaf-vex.pl >$LOGFILE 2>&1
if ! grep SUCCESS $LOGFILE >/dev/null ; then
	echo "bin/generate-csaf-vex.pl failed:"
	tail $LOGFILE
	mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
else
	# mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
	# rm $LOGFILE
	touch $LOGFILE
	pushd /space/security/csaf-vex/
	rsync -vr  . /mounts/mirror/SuSE/ftp.suse.com/pub/projects/security/csaf-vex/
	popd
fi
